<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">

    <ui:define name="title">
        EDITAR PEDIDO VENTA
    </ui:define>

    <ui:define name="body-title">
		<h:outputText value="EDITAR PEDIDO VENTA ##{editarPedidoVentaMB.pedidoVenta.id}"/> 
    </ui:define>

    <ui:define name="body">		
		<h:panelGrid columns="2" cellpadding="0" id="panel0" columnClasses="columnWidth75 centerAlign, columnWidth25 leftAlign topAlign topTAlign" width="100%">
			<h:panelGrid columns="1" cellpadding="0" id="panelL" width="100%" columnClasses="leftAlign">

				<h:form id="form1" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">
					<h:panelGrid columns="1" cellpadding="0" id="panel1" width="100%" columnClasses="leftAlign">

						<p:outputLabel for="almacen" value="ALMACÉN :" />

						<p:selectOneMenu id="almacen" value="#{editarPedidoVentaMB.tipoAlmacen}" style="width:125px">							
							<f:selectItems  value="#{editarPedidoVentaMB.tipoAlmacenList}"/>
							<p:ajax listener="#{editarPedidoVentaMB.onTipoAlmacenChange}" process="@all" update=":form1,:form2,:form2a,:form3,:form4"/>
						</p:selectOneMenu>

						<p:outputLabel for="cadenaBusqueda" value="BUSCAR POR: NOMBRE,PRESENTACIÓN,LINEA O MARCA :" rendered="true"/>

						<h:panelGroup rendered="true">
							<p:inputText id="cadenaBusqueda" value="#{editarPedidoVentaMB.cadenaBusqueda}" size="50" maxlength="128" valueChangeListener="#{editarPedidoVentaMB.cadenaBusquedaChanged}"
										 title="BUSCAR PRODUCTOS CONTENGAN EL TEXTO">
								<p:ajax event="change" listener="#{editarPedidoVentaMB.buscarXCadena()}" process=":form1" update="panel1,:form2,:form2a"/>
							</p:inputText>						

							<p:commandButton icon="ui-icon-search" update=":form2:panel2" actionListener="#{editarPedidoVentaMB.buscarXBoton}" rendered="false"/>

							<p:selectBooleanButton   id="conservarBusqueda" value="#{editarPedidoVentaMB.conservarBusqueda}" onLabel="CONSERVAR RESULT." offLabel="LIMPIAR RESULT." 
													 onIcon="ui-icon-check" offIcon="ui-icon-close">
								<p:ajax process=":form1" update=":form1" listener="#{editarPedidoVentaMB.conservarBusquedaChanged}" />
							</p:selectBooleanButton>

						</h:panelGroup>
					</h:panelGrid>
				</h:form>

				<h:form id="form2" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">
					<p:growl id="growl" showDetail="true" sticky="false" autoUpdate="true"  /> 

					<h:panelGrid columns="1" cellpadding="0" id="panel2" columnClasses="leftAlign" width="100%">

						<p:outputLabel value="CANTIDAD x PRODUCTO :" rendered="true"/>

						<h:panelGroup rendered="true">
							<p:inputText value="#{editarPedidoVentaMB.cantidadAgregarBusqueda}" size="3" maxlength="5" rendered="false">
								<f:convertNumber integerOnly="true"/>
							</p:inputText>

							<p:spinner id="cantidadAgregarBusquedaSpinner" value="#{editarPedidoVentaMB.cantidadAgregarBusqueda}" min="1" max="9999" size="1" />

							<p:outputLabel value=" x " />
							<p:selectOneMenu id="resultadoBusqueda" value="#{editarPedidoVentaMB.resultadoBusquedaSelected}" >							
								<f:selectItems  value="#{editarPedidoVentaMB.resultadoBusqueda}"/>
								<p:ajax process=":form2:panel2" listener="#{editarPedidoVentaMB.onResultadoBusquedaChange}" update=":form2:panel2" />							
							</p:selectOneMenu>

							<p:commandButton id="masInfo" icon="ui-icon-comment" type="button" process=":form2" rendered="#{not empty editarPedidoVentaMB.resultadoBusqueda}"/>

							<p:overlayPanel id="masInfoPanel" for="masInfo" hideEffect="fade" dismissable="true" showCloseIcon="false">
								<h:panelGrid columns="2" cellpadding="0" width="300" columnClasses="columnWidth40 rightAlign, columnWidth60 leftAlign">
									<h:outputText value="LINEA :" />
									<h:outputText value="#{editarPedidoVentaMB.resultadoBusquedaSI.productoLinea}" class="bold_text"/>

									<h:outputText value="MARCA :" />
									<h:outputText value="#{editarPedidoVentaMB.resultadoBusquedaSI.productoMarca}" class="bold_text" />

									<h:outputText value="CANTIDAD ACTUAL :" />
									<h:outputText value="#{editarPedidoVentaMB.resultadoBusquedaSI.cantidad}" class="bold_text" />

									<h:outputText value="CONTENIDO :" />
									<h:outputText value="#{editarPedidoVentaMB.resultadoBusquedaSI.productoContenido} #{editarPedidoVentaMB.resultadoBusquedaSI.productoUnidadMedida}" class="bold_text" />

									<h:outputText value="PRECIO :" />
									<h:outputText value="#{editarPedidoVentaMB.resultadoBusquedaSI.precioVenta}" class="bold_text" >
										<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
									</h:outputText>
								</h:panelGrid>
							</p:overlayPanel>
							<p:spacer width="10"/>
							<p:commandButton value="+"  actionListener="#{editarPedidoVentaMB.agregarSeleccionadoDeBusqueda}" id="xx1" 
											 process=":form2" update=":form1,:form2,growl,:form3,:form4:panel4_3"  
											 rendered="#{not empty editarPedidoVentaMB.resultadoBusqueda}" 
											 oncomplete="updateComponentsOnWindowResize();"/>
						</h:panelGroup>
					</h:panelGrid>
				</h:form>
				<h:form id="form2a" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">

					<h:panelGrid columns="1" cellpadding="0" id="panel2a" columnClasses="leftAlign" width="100%">
						<p:outputLabel value="CANTIDAD x CODIGO :" />

						<h:panelGroup>
							<p:inputText value="#{editarPedidoVentaMB.cantidadAgregarCodigo}" size="3" maxlength="5" rendered="false">
								<f:convertNumber integerOnly="true"/>
							</p:inputText>

							<p:spinner id="cantidadAgregarCodigoSpinner" value="#{editarPedidoVentaMB.cantidadAgregarCodigo}" min="1" max="9999" size="1" />

							<p:outputLabel value=" x " />
							<p:inputText value="#{editarPedidoVentaMB.codigo}" size="15" maxlength="15" valueChangeListener="#{editarPedidoVentaMB.codigoChanged}"
										 title="BUSCAR PRODUCTOS CONTENGAN EL TEXTO">
								<p:ajax  event="change" listener="#{editarPedidoVentaMB.buscarXCodigo}" 
										 process=":form2a" update=":form1:panel1,:form2a:panel2a,:form3,:form4:panel4_3"
										 oncomplete="updateComponentsOnWindowResize();"/>
							</p:inputText>						

						</h:panelGroup>						

					</h:panelGrid>
				</h:form>

				<h:form id="form3" rendered="true">

					<h:panelGrid columns="1" cellpadding="0" id="panel3" columnClasses="leftAlign" width="100%" >						
						<p:dataTable  var="pvd" value="#{editarPedidoVentaMB.entityList}"
									  id="pvdTable" widgetVar="wv_pvdTable" emptyMessage="-- SIN ELEMENTOS --" 
									  scrollable="true" draggableRows="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}"
									  scrollHeight="200" >
							<p:ajax event="rowReorder" listener="#{editarPedidoVentaMB.onRowReorder}" update=":form3:panel3" />
							
							<f:facet name="header">
								OPCIONES :
								<p:commandButton value="VER + COLUMNAS" actionListener="#{editarPedidoVentaMB.expandirTabla}" process=":form3" update=":form3:panel3" rendered="#{!editarPedidoVentaMB.tablaExpandida}"  oncomplete="updateComponentsOnWindowResize();"/>
								<p:commandButton value="VER - COLUMNAS" actionListener="#{editarPedidoVentaMB.contraerTabla}" process=":form3" update=":form3:panel3" rendered="#{editarPedidoVentaMB.tablaExpandida}"    oncomplete="updateComponentsOnWindowResize();"/>
							</f:facet>

							<p:column headerText="." width="5%" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">
								<p:commandButton icon="ui-icon-trash" actionListener="#{editarPedidoVentaMB.deleteRow(pvd.rowId)}" 
												 title="rowId=#{pvd.rowId}" process=":form3" update=":form3,:form4:panel4_3" 
												 oncomplete="updateComponentsOnWindowResize();">
									<p:confirm header="ELIMINAR" message="¿ SEGURO QUE QUIERE ELIMINAR ?" icon="ui-icon-alert" />
								</p:commandButton>
							</p:column>


							<p:column headerText="#" width="5%">
								
								<h:outputText value="#{pvd.cantidad}" rendered="#{not editarPedidoVentaMB.verificable and not editarPedidoVentaMB.surtible}"/>
								
								<p:cellEditor rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">
									<f:facet name="output"><h:outputText value="#{pvd.cantidad}" /></f:facet>
									<f:facet name="input">
										<p:spinner value="#{pvd.cantidad}" min="1" max="9999" size="1" valueChangeListener="#{editarPedidoVentaMB.cantidadDetalleChanged}"  >
											<p:ajax process="@this" event="change" listener="#{editarPedidoVentaMB.cantidadDetalleCambio(pvd.rowId)}" update=":form4:panel4_3a"/>
										</p:spinner>
									</f:facet>
								</p:cellEditor>
							</p:column>

							<p:column headerText="ALM." width="5%" >
								<h:outputText value="1RA" rendered="#{pvd.apTipoAlmacen eq 1}" class="centerAlignColumn"/>
								<h:outputText value="OPO" rendered="#{pvd.apTipoAlmacen eq 2}" class="centerAlignColumn"/>
								<h:outputText value="REG" rendered="#{pvd.apTipoAlmacen eq 3}" class="centerAlignColumn"/>
							</p:column>
							
							<p:column headerText="C.O.P./ CNT.ALM." width="5%" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">
								<h:outputText value="#{pvd.canPendteEnOtrosPV} / #{pvd.apCantidad}" />
							</p:column>							

							<p:column headerText="CODIGO" width="15%">
								<h:outputText value="#{pvd.productoCodigoBarras}" />
							</p:column>

							<p:column headerText="LINEA" rendered="#{editarPedidoVentaMB.tablaExpandida}">
								<h:outputText value="#{pvd.productoLinea}" />
							</p:column>

							<p:column headerText="MARCA" rendered="#{editarPedidoVentaMB.tablaExpandida}">
								<h:outputText value="#{pvd.productoMarca}" />
							</p:column>

							<p:column headerText="NOMBRE" rendered="#{editarPedidoVentaMB.tablaExpandida}">
								<h:outputText value="#{pvd.productoNombre}" />
							</p:column>

							<p:column headerText="PRESN." rendered="#{editarPedidoVentaMB.tablaExpandida}">
								<h:outputText value="#{pvd.productoPresentacion}" />
							</p:column>

							<p:column headerText="CONT." rendered="#{editarPedidoVentaMB.tablaExpandida}">
								<h:outputText value="#{pvd.productoContenido} #{pvd.productoUnidadMedida}" />
							</p:column>

							<p:column headerText="PRECIO" width="10%">
								<h:outputText value="#{pvd.precioVenta}" title="#{editarPedidoVentaMB.getImporteDesglosado(pvd.precioVenta)}" class="rightAlignColumn">
									<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
								</h:outputText>
							</p:column>

							<p:column headerText="IMPORTE" width="10%">
								<h:outputText value="#{pvd.cantidad * pvd.precioVenta}" title="#{editarPedidoVentaMB.getImporteDesglosado(pvd.cantidad * pvd.precioVenta)}" class="rightAlignColumn">
									<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
								</h:outputText>
							</p:column>

							<f:facet name="footer">
								<h:outputText value="ELEMENTOS : #{editarPedidoVentaMB.sizeList}" rendered="true"/>
							</f:facet>
						</p:dataTable>

					</h:panelGrid>
				</h:form>

			</h:panelGrid>

			<h:panelGrid columns="1" cellpadding="0" columnClasses="centerAlign bottomAlign"  width="100%">
				<h:form id="form4">
					
					<p:dialog header="SELECCIONAR CLIENTE" widgetVar="dlgSeleccionarCliente" modal="true" height="250" width="500" id="dlgClientes" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">

						<p:dataTable var="cliente" value="#{editarPedidoVentaMB.clientes}" scrollHeight="200" >

							<p:column style="width:32px;text-align: center">
								<p:commandButton	update=":form4:panel4_1,:form4:dlgClientes,:form4:panel4_3" 
													oncomplete="PF('dlgSeleccionarCliente').hide();" icon="ui-icon-check" title="SELECCIONAR"
													actionListener="#{editarPedidoVentaMB.seleccionaCliente(cliente.id)}">

								</p:commandButton>
							</p:column>

							<p:column headerText="RAZÓN SOCIAL :">
								<h:outputText value="#{cliente.razonSocial}" />
							</p:column>

							<p:column headerText="NOMBRE ESTAB. :">
								<h:outputText value="#{cliente.nombreEstablecimiento}" />
							</p:column>

							<p:column headerText="R.F.C. :">
								<h:outputText value="#{cliente.rfc}" />
							</p:column>

							<p:column headerText="TELEFONOS :">
								<h:outputText value="#{cliente.telefonos}" />
							</p:column>
						</p:dataTable>
					</p:dialog> 

					<h:panelGrid columns="1" id="panel4_1" cellpadding="0" columnClasses="leftAlign" width="100%">

						<p:outputLabel value="CLIENTE ( RAZ.SOC. / NOM.EST.):" />

						<h:panelGrid width="100%" columns="1" cellpadding="0" cellspacing="0" rendered="#{not editarPedidoVentaMB.verificable and not editarPedidoVentaMB.surtible}">

							<h:outputText value="#{editarPedidoVentaMB.pedidoVenta.clienteRazonSocial}/" 
										  style="font-size: 60%; color: blue;"/>
							<h:outputText value="#{editarPedidoVentaMB.pedidoVenta.clienteNombreEstablecimiento}" 
										  style="font-size: 60%; color: blue;"/>

						</h:panelGrid>
						
						<h:panelGrid width="100%" columns="2" columnClasses="columnWidth90 leftAlign, columnWidth10 rightAlign" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">

							<h:panelGrid width="100%" columns="1" rendered="#{not empty editarPedidoVentaMB.clienteSeleccionado}" cellpadding="0" cellspacing="0">

								<h:outputText value="#{editarPedidoVentaMB.clienteSeleccionado.razonSocial}/" 
											  style="font-size: 60%; color: blue;"/>
								<h:outputText value="#{editarPedidoVentaMB.clienteSeleccionado.nombreEstablecimiento}" 
											  style="font-size: 60%; color: blue;"/>

							</h:panelGrid>

							<h:outputText id="cteSeleccNull" value="--SELECCIONE--" 
										  style="font-size: 80%; color: blue;" rendered="#{empty editarPedidoVentaMB.clienteSeleccionado}"/>

							<p:commandButton icon="ui-icon-triangle-1-s" type="button" onclick="PF('dlgSeleccionarCliente').show();" />

						</h:panelGrid>
					</h:panelGrid>
					<h:panelGrid columns="1" id="panel4_2" cellpadding="0" columnClasses="leftAlign" width="100%">
						<p:outputLabel value="MÉTODO DE PAGO :" />
						
						<h:outputText  value="#{editarPedidoVentaMB.pedidoVenta.metodoDePagoDescripcion}" style="font-size: 60%; color: blue;"
									  rendered="#{not editarPedidoVentaMB.verificable and not editarPedidoVentaMB.surtible}"/>
							
						<p:selectOneMenu id="metodoDePago" value="#{editarPedidoVentaMB.pedidoVenta.metodoDePagoId}" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">
							<f:selectItems  value="#{editarPedidoVentaMB.metodoDePagoList}"/>
							<p:ajax listener="#{editarPedidoVentaMB.onMetodoDePagoListChange}" process=":form4:panel4_2" update=":form4:panel4_2,:form4:panel4_3"/>
						</p:selectOneMenu>

						<p:outputLabel value="FORMA DE PAGO :" />
						
						<h:outputText  value="#{editarPedidoVentaMB.pedidoVenta.formaDePagoDescripcion}" style="font-size: 60%; color: blue;"
									  rendered="#{not editarPedidoVentaMB.verificable and not editarPedidoVentaMB.surtible}"/>
						
						<p:selectOneMenu id="formaDePago" value="#{editarPedidoVentaMB.pedidoVenta.formaDePagoId}" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">							
							<f:selectItems  value="#{editarPedidoVentaMB.formaDePagoList}"/>
							<p:ajax listener="#{editarPedidoVentaMB.onFormaDePagoListChange}" process=":form4:panel4_2" update=":form4:panel4_2,:form4:panel4_3"/>
						</p:selectOneMenu>

						<p:outputLabel value="DESCUENTO EXTRA :"  rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible and sessionUserMB.adminUser}"/>
												
						<p:selectOneMenu id="descuentoEspecial" value="#{editarPedidoVentaMB.pedidoVenta.porcentajeDescuentoExtra}" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible and sessionUserMB.adminUser}">
							<f:selectItems  value="#{editarPedidoVentaMB.descuentoEspacialList}"/>
							<p:ajax listener="#{editarPedidoVentaMB.onDescuentoEspecialListChange}" process=":form4:panel4_2" update=":form4:panel4_2,:form4:panel4_3"/>
						</p:selectOneMenu>

						<p:outputLabel value="COMENTARIOS :" />
						<h:outputText  value="#{editarPedidoVentaMB.pedidoVenta.comentarios}"  style="font-size: 60%; color: blue;"
									  rendered="#{not editarPedidoVentaMB.verificable and not editarPedidoVentaMB.surtible}"/>
						
						<h:inputTextarea id="comentarios" value="#{editarPedidoVentaMB.pedidoVenta.comentarios}" cols="30" rows="2"
										 title="COMENTARIOS ACERCA DEL PEDIDO" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">
							<p:ajax		 event="blur" listener="#{editarPedidoVentaMB.onComentariosChange}" 
									  process=":form4:panel4_2" update=":form4:panel4_2,:form4:panel4_3"/>
						</h:inputTextarea>

						<p:outputLabel value="CONDICIONES :" />

						<h:outputText  value="#{editarPedidoVentaMB.pedidoVenta.condicionesDePago}" style="font-size: 60%; color: blue;"
									  rendered="#{not editarPedidoVentaMB.verificable and not editarPedidoVentaMB.surtible}"/>
						
						<h:inputTextarea id="condiciones" value="#{editarPedidoVentaMB.pedidoVenta.condicionesDePago}" cols="30" rows="2"
										 title="CONDICIONES DEL PEDIDO" rendered="#{editarPedidoVentaMB.verificable or editarPedidoVentaMB.surtible}">
							<p:ajax		 event="blur" listener="#{editarPedidoVentaMB.onCondicionesChange}" 
										 process=":form4:panel4_2" update=":form4:panel4_2,:form4:panel4_3"/>
						</h:inputTextarea>

					</h:panelGrid>
					
					<h:panelGrid columns="1" id="panel4_3" cellpadding="0" columnClasses="centerAlign" width="100%">
						
						<h:panelGrid id="panel4_3a" columns="2" cellpadding="0" columnClasses="columnWidth60 rightAlign, columnWidth40 rightAlign" width="100%">
							<h:outputText value="SUBTOTAL :" />
							<h:outputText value="#{editarPedidoVentaMB.pedidoVentaFooter.subTotalNoGrabado}">
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>

							<h:outputText value="I.V.A. :" />
							<h:outputText value="#{editarPedidoVentaMB.pedidoVentaFooter.importeIVA}">
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>

							<h:outputText value="- DESCUENTO :" />
							<h:outputText value="#{editarPedidoVentaMB.pedidoVentaFooter.importeDescuentoAplicado}" 
										  title="- ( #{editarPedidoVentaMB.pedidoVentaFooter.descuentoCalculado}% + #{editarPedidoVentaMB.pedidoVentaFooter.descuentoExtra}% = #{editarPedidoVentaMB.pedidoVentaFooter.descuentoAplicado}% )">
								<f:convertNumber maxFractionDigits="2" pattern="$ -###,###,##0.00" locale="es_MX"/>
							</h:outputText>

							<h:outputText value="T O T A L :" styleClass="bold_text"/>
							<h:outputText value="#{editarPedidoVentaMB.pedidoVentaFooter.total}" styleClass="bold_text">
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
						</h:panelGrid>						
						
						<p:panelGrid columns="2" columnClasses="columnWidth35 rightAlign, columnWidth65 leftAlign">
							<h:outputText value="CREO : "/>
							<h:outputText value="#{editarPedidoVentaMB.pedidoVenta.usuarioNombreCompleto}"/>

							<h:outputText value="ESTADO :"/>
							<h:outputText value="#{editarPedidoVentaMB.pedidoVenta.estadoDescripcion}" title="#{editarPedidoVentaMB.pedidoVenta.estadoId}"/>

							<h:outputText value="#FACTURA :" rendered="#{not empty editarPedidoVentaMB.pedidoVenta.cdfNumCFD}"/>
							<h:outputText value="#{editarPedidoVentaMB.pedidoVenta.cdfNumCFD}" rendered="#{not empty editarPedidoVentaMB.pedidoVenta.cdfNumCFD}"/>
							
							<h:outputText value="SUCURSAL :"/>
							<h:outputText value="#{editarPedidoVentaMB.pedidoVenta.sucursalNombre}"/>
						</p:panelGrid>
						<p:spacer width="10"/>
						
						<p:commandButton value="OK, SE HA VERIFICADO"  icon="ui-icon-check" rendered="#{not editarPedidoVentaMB.hayCambios and editarPedidoVentaMB.verificable}"
										 actionListener="#{editarPedidoVentaMB.verificar}" process="@all" update=":form1,:form2,:form3,:form4">
							<p:confirm header="VERIFICAR" message="¿ SEGURO QUE YA HA VERIFICADO TODOS LOS ELEMENTOS ?" icon="ui-icon-alert" />
						</p:commandButton>

						<p:commandButton value="OK, SE AUTORIZA SURTIRSE" icon="ui-icon-cart" rendered="#{not editarPedidoVentaMB.hayCambios and editarPedidoVentaMB.surtible}"  
										 actionListener="#{editarPedidoVentaMB.surtir}" process="@all" update=":form1,:form2,:form3,:form4">
							<p:confirm header="SURTIRSE" message="¿ SEGURO QUE ESTA LISTO PARA SURTIRSE ?" icon="ui-icon-alert" />
						</p:commandButton>
						
						<p:commandButton value="GENERAR C.F.D. FACTURA" icon="ui-icon-contact" rendered="#{not editarPedidoVentaMB.hayCambios and editarPedidoVentaMB.facturable}"  
										 process="@all" update=":form1,:form2,:form3,:form4">
							<p:confirm header="GENERAR C.F.D.I." message="¿ SEGURO QUE TODO ESTA LISTO PARA FACTURAR ?" icon="ui-icon-alert" />
						</p:commandButton>
						
						<p:commandButton value="CANCELAR PEDIDO" icon="ui-icon-close" rendered="#{not editarPedidoVentaMB.hayCambios and editarPedidoVentaMB.cancelable}" 
										 process="@all" update=":form1,:form2,:form3,:form4">
							<p:confirm header="CANCELAR" message="¿ SEGURO QUE QUIERE C A N C E L A R  EL PEDIDO ?" icon="ui-icon-alert" />
						</p:commandButton>
												
						<h:panelGrid columns="2" rendered="#{editarPedidoVentaMB.hayCambios}" columnClasses="columnWidth50 centerAlign, columnWidth50 centerAlign" width="100%">
							<p:commandButton value="CANCELAR CAMBIOS" actionListener="#{editarPedidoVentaMB.cancelar}" process="@all" icon="ui-icon-cancel"
											 update=":form1,:form2,:form3,:form4" oncomplete="updateComponentsOnWindowResize();">
								<p:confirm header="CANCELAR CAMBIOS" message="¿ SEGURO QUE QUIERE CANCELAR CAMBIOS?" icon="ui-icon-alert" />
							</p:commandButton>						

							<p:commandButton value="GUARDAR CAMBIOS"  actionListener="#{editarPedidoVentaMB.guardar}" disabled="#{not editarPedidoVentaMB.crearPedido}"  icon="ui-icon-disk"
											 process="@all" update=":form1,:form2,:form3,:form4" oncomplete="updateComponentsOnWindowResize();">
								<p:confirm header="GUARDAR CAMBIOS" message="¿ SEGURO QUIERE GUARDAR CAMBIOS DEL PEDIDO ?" icon="ui-icon-alert" />
							</p:commandButton>
						</h:panelGrid>
						
						<p:confirmDialog global="true" showEffect="bounce" hideEffect="explode" styleClass="centerAlign">
							<h:panelGrid columns="2" columnClasses="columnWidth50 centerAlign, columnWidth50 centerAlign"  width="100%">
								<p:commandButton value="SI, OK"    type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
								<p:commandButton value="NO, NUNCA" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
							</h:panelGrid>
								
						</p:confirmDialog>

						<div id="debugDivOutput" style="font-size: 5">		
						</div>
					</h:panelGrid>
					<script>
						var alturaExtraTabla = #{editarPedidoVentaMB.alturaExtraTabla};
					</script>
				</h:form>
			</h:panelGrid>


		</h:panelGrid>
		<script>
			var counterResized = 0;
			function updateComponentsOnWindowResize() {

				//var txt="";
				//txt+="["+counterResized+"]Resized:(" + $(window).width() + " x  " + $(window).height() +"), "+$(document).height()+", "+$(".ui-datatable-scrollable-body").height()+", "+alturaExtraTabla;
				//$("#debugDivOutput").html(txt);
				setDataTableHeight();
				counterResized++;
			}

			function setDataTableHeight() {
				var winHeight = $(window).height();				
				var scrollHeight = winHeight - (500-alturaExtraTabla);

				var scrollBody = $(".ui-datatable-scrollable-body");
				scrollBody.height(scrollHeight);

			}

			$(document).ready(function() {

				$(window).resize(function() {
					updateComponentsOnWindowResize();
				});

				updateComponentsOnWindowResize();

			});
		</script>		

	</ui:define>

</ui:composition>
